Bug 222303 - graphics/blender: Update to 2.79, Take MAINTAINER'ship
Summary: graphics/blender: Update to 2.79, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-09-13 18:08 UTC by Shane
Modified: 2017-10-19 14:57 UTC (History)
1 user (show)

See Also:


Attachments
update blender to 2.79 (110.69 KB, patch)
2017-09-13 18:08 UTC, Shane
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2017-09-13 18:08:08 UTC
Created attachment 186346 [details]
update blender to 2.79

Update graphics/blender to 2.79 and take maintainership.

Replace most Makefile .if's by using options framework
Cleanup options, remove old and duplicate options
Set default options to be a more common feature set
Comment 1 Danilo G. Baio freebsd_committer 2017-09-17 13:05:35 UTC
Thank you for your contribution. Could you please:

Confirm that this change passes QA (portlint, poudriere in particular). 
For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 2 Danilo G. Baio freebsd_committer 2017-09-17 13:05:48 UTC
Comment on attachment 186346 [details]
update blender to 2.79

Implicit approval, maintained by ports@
Comment 3 Shane 2017-09-18 05:03:21 UTC
graphics/blender/ # make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

graphics/blender/ # make stage-qa
====> Running Q/A tests (stage-qa)

graphics/blender/ # portlint
looks fine.

I have built it successfully in poudriere 11.1/10.3 amd64/i386

% cd /usr/local/poudriere/data/logs/bulk/latest-per-pkg/blender/2.79
[leader:latest-per-pkg/blender/2.79] shane% ll
total 2176
-rw-r--r--  3 root  wheel  uarch  6.7M 14 Sep 00:28 103amd64-myports.log
-rw-r--r--  3 root  wheel  uarch  6.8M 14 Sep 01:49 103i386-myports.log
-rw-r--r--  3 root  wheel  uarch  6.3M 14 Sep 02:45 111amd64-myports.log
-rw-r--r--  3 root  wheel  uarch  6.8M 13 Sep 22:36 111i386-myports.log
[leader:latest-per-pkg/blender/2.79] shane% tail *
==> 103amd64-myports.log <==
install  -m 444 /wrkdirs/usr/ports/graphics/blender/work/.build/bin/blender.1  /wrkdirs/usr/ports/graphics/blender/work/stage/usr/local/man/man1
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for blender-2.79
===========================================================================
====>> Cleaning up wrkdir
===>  Cleaning for blender-2.79
build of graphics/blender ended at Thu Sep 14 00:28:29 ACST 2017
build time: 00:07:55

==> 103i386-myports.log <==
install  -m 444 /wrkdirs/usr/ports/graphics/blender/work/.build/bin/blender.1  /wrkdirs/usr/ports/graphics/blender/work/stage/usr/local/man/man1
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for blender-2.79
===========================================================================
====>> Cleaning up wrkdir
===>  Cleaning for blender-2.79
build of graphics/blender ended at Thu Sep 14 01:49:39 ACST 2017
build time: 00:08:18

==> 111amd64-myports.log <==
install  -m 444 /wrkdirs/usr/ports/graphics/blender/work/.build/bin/blender.1  /wrkdirs/usr/ports/graphics/blender/work/stage/usr/local/man/man1
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for blender-2.79
===========================================================================
====>> Cleaning up wrkdir
===>  Cleaning for blender-2.79
build of graphics/blender ended at Thu Sep 14 02:45:59 ACST 2017
build time: 00:08:17

==> 111i386-myports.log <==
install  -m 444 /wrkdirs/usr/ports/graphics/blender/work/.build/bin/blender.1  /wrkdirs/usr/ports/graphics/blender/work/stage/usr/local/man/man1
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for blender-2.79
===========================================================================
====>> Cleaning up wrkdir
===>  Cleaning for blender-2.79
build of graphics/blender ended at Wed Sep 13 22:36:27 ACST 2017
build time: 00:14:27
Comment 4 valery 2017-10-14 08:28:01 UTC
plz, update all LLVM version to 40 and give a chance to "Cycles/OSL" to compile:
-----------------------------------------------------------------------
182 		-DLLVM_VERSION:STRING="4.0" \
183 		-DLLVM_CONFIG:STRING="${LOCALBASE}/bin/llvm-config40"

184 	LIB_DEPENDS+=	liboslexec.so:graphics/openshadinglanguage \
185 	libLLVM-4.0.so:devel/llvm40
-----------------------------------------------------------------------

"openshasinglanguage now use LLVM40.
Comment 5 Shane 2017-10-15 04:06:11 UTC
(In reply to valery from comment #4)

This update includes the change to use llvm40.
Comment 6 commit-hook freebsd_committer 2017-10-19 14:57:25 UTC
A commit references this bug:

Author: swills
Date: Thu Oct 19 14:57:17 UTC 2017
New revision: 452427
URL: https://svnweb.freebsd.org/changeset/ports/452427

Log:
  graphics/blender: Update to 2.79

  While here, give maintainship to submitter

  PR:		222303
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz>

Changes:
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.options
  head/graphics/blender/distinfo
  head/graphics/blender/files/patch-intern_libmv_libmv_numeric_numeric.h
  head/graphics/blender/files/patch-intern_opensubdiv_CMakeLists.txt
  head/graphics/blender/files/patch-source_blender_imbuf_intern_oiio_openimageio__api.cpp
  head/graphics/blender/pkg-plist
Comment 7 Steve Wills freebsd_committer 2017-10-19 14:57:44 UTC
Committed, thanks!